cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

ThingWorx Manufacturing Apps and Industrial Connectivity installation prerequisites

SOLVED
Highlighted
Level 10

ThingWorx Manufacturing Apps and Industrial Connectivity installation prerequisites

Hi Developers,

 

I'm starting on a project which involves Thingworx manufacturing apps. I need to know if the following versions are compatible with each other.

 

  1. ThingWorx Platform 8.3
    1. OS : Windows Server 2012 R2
    2. JDK : 1.8.0_92-b14 (64-bit)
    3. Tomcat :  minimum version of 8.0.47 or 8.5.23
    4. PostgreSQL : 9.4.19

 

  1. ThingWorx Industrial Connectivity 8.3
    1. Windows Server 2012 x64 R2

 

  1. ThingWorx Manufacturing Apps Extension 8.1.2
    1. ThingWorx 8.3.x
    2. KEPServerEX 6.2 and later

 I couldn't find any compatibility matrix between the above mentioned products. 

 

In the PTC Smart Connected Applications page should i download the Manufacturing Apps Extension from
1. Release APPs >> ThingWorx Manufacturing Apps Extension >> Most Recent Datecode (or)

2. Release 8.3 >> ThingWorx Manufacturing Apps Extension >> Most Recent Datecode

 

Is the Industrial Connectivity version dependent on ThingWorx Manufacturing Apps Extension and ThingWorx Platform?

 

Please share any useful links.

 

Thanks & Regards,

Saran

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Thingworx Manufacturing Apps and Inductrial Connectivity installation prerequisites

Hi @SaranKarthick

 

As a general rule, you need to install the same major/minor release for both the platform and the extension.  For example: for ThingWorx 8.3.x, you need to install the Mfg Apps 8.3.x extension.

 

Some changes have occurred with some of the newer releases and you can now find the Apps 8.3 extensions under ThingWorx Platform on the Support site.

 

The ThingWorx 8.3 system requirements can be found here.

 

Regards.

 

--Sharon

 

If my response has answered your question, please mark as Accepted Solution, for the benefit of others who may have the same question.

1 REPLY 1

Re: Thingworx Manufacturing Apps and Inductrial Connectivity installation prerequisites

Hi @SaranKarthick

 

As a general rule, you need to install the same major/minor release for both the platform and the extension.  For example: for ThingWorx 8.3.x, you need to install the Mfg Apps 8.3.x extension.

 

Some changes have occurred with some of the newer releases and you can now find the Apps 8.3 extensions under ThingWorx Platform on the Support site.

 

The ThingWorx 8.3 system requirements can be found here.

 

Regards.

 

--Sharon

 

If my response has answered your question, please mark as Accepted Solution, for the benefit of others who may have the same question.